Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.listeners.lifecycle
Enum ManagedLifecycleThreadState

    java.lang.Object
      java.lang.Enum<ManagedLifecycleThreadState>
          org.jboss.soa.esb.listeners.lifecycle.ManagedLifecycleThreadState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ManagedLifecycleThreadState>

    public enum ManagedLifecycleThreadState

extends java.lang.Enum<ManagedLifecycleThreadState>

This enumeration represents the lifecycle state of a thread in an managed instance.

Author:
  kevin

Enum Constant Summary
`RUNNING`
`STOPPED`
`STOPPING`

Method Summary
`static ManagedLifecycleThreadState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ManagedLifecycleThreadState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STOPPED

    public static final ManagedLifecycleThreadState STOPPED

### RUNNING

    public static final ManagedLifecycleThreadState RUNNING

### STOPPING

    public static final ManagedLifecycleThreadState STOPPING

Method Detail

### values

    public static final ManagedLifecycleThreadState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ManagedLifecycleThreadState c : ManagedLifecycleThreadState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ManagedLifecycleThreadState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD